%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-mwlib
Version:        0.11.2
Release:        6.20090522hg2956%{?dist}
Summary:        MediaWiki conversion library for Python

Group:          Development/Languages
# mwlib/cdb.py under Python license, everything else under BSD
License:        BSD and Python
URL:            http://code.pediapress.com/
Source0:        http://code.pediapress.com/hg/mwlib/archive/e4adff8732c4.tar.bz2
#Source0:        http://pypi.python.org/packages/source/m/mwlib/mwlib-%{version}.tar.gz
Patch0:         mwlib.patch
#This patch required because of Fedora twisted metapackaging
Patch1:         mwlib-twisted-deps.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel re2c python-docutils python-flup odfpy pyparsing python-simplejson python-setuptools
Requires:       perl python-imaging python-flup pyparsing odfpy python-simplejson
Requires:       python-twisted-core python-twisted-web
Requires:       LabPlot blahtexml python-dateutil >= 1.4.1
Requires:       tex(latex)


%description
mwlib is a Python library for parsing MediaWiki articles. It is
currently aimed at developers, who have a need to somehow handle
MediaWiki articles.


%prep
%setup -q -n mwlib-e4adff8732c4
%patch0 -p1
%patch1 -p1
sed -ie "s/rst2html\.py/rst2html/" docs/Makefile


%build
CFLAGS="%{optflags}" %{__python} setup.py build
make -C docs


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i '/#! \/usr\/bin\/env python/d' %{buildroot}%{python_sitearch}/mwlib/*.py
sed -i '/^#! -\*- .* -\*-$/d' %{buildroot}%{python_sitearch}/mwlib/*.py


%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc example_conf.txt README.txt docs/*.html
%{python_sitearch}/mwlib*
%{_bindir}/*


%changelog
* Wed Mar 17 2010 Paul W. Frields <stickster@gmail.com> - 0.11.2-6.20090522hg2956
- Add another missing Requires

* Wed Mar 17 2010 Paul W. Frields <stickster@gmail.com> - 0.11.2-5.20090522hg2956
- Add actual python-twisted-core dependency

* Sun Feb 28 2010 Paul W. Frields <stickster@gmail.com> - 0.11.2-4.20090522hg2956
- Correct twisted dependency checking failure (#486678, thanks to Ryan Thomas)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.2-3.20090522hg2956
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Ian Weller <ian@ianweller.org> - 0.11.2-2.20090522hg2956
- odfpy07 does not exist

* Fri May 22 2009 Ian Weller <ianweller@gmail.coM> - 0.11.2-1.20090522hg2956
- Bump to hg tip which fixes bug 486678

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Ian Weller <ianweller@gmail.com> 0.9.10-1
- Bump to 0.9.10

* Sat Feb 14 2009 Ian Weller <ianweller@gmail.com> 0.9.7-1
- Bump to 0.9.7

* Mon Jan 26 2009 Ian Weller <ianweller@gmail.com> 0.9.5-1
- Bump to 0.9.5
- F8 is EOL, remove F8-specific requires

* Wed Dec 17 2008 Ian Weller <ianweller@gmail.com> 0.9.2-1
- Bump to 0.9.2

* Thu Oct 23 2008 Ian Weller <ianweller@gmail.com> 0.8.5-1
- Bump to 0.8.5

* Fri Aug 22 2008 Ian Weller <ianweller@gmail.com> 0.8.3-1
- Bump to 0.8.3

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 0.8.1-1
- Bump to 0.8.1

* Thu Jul 31 2008 Paul W. Frields <stickster@gmail.com> - 0.8.0-3
- Fix Requires to unbreak F-8 dependencies

* Fri Jul 25 2008 Ian Weller <ianweller@gmail.com> 0.8.0-2
- Fix source URL (again)
- Remove make commands because setup.py build does that now
- Kill off the check section
- Fix license

* Mon Jul 21 2008 Ian Weller <ianweller@gmail.com> 0.8.0-1
- Bump to 0.8.0

* Sun Jul 13 2008 Ian Weller <ianweller@gmail.com> 0.7.1-1
- Fix source URL, license, other things

* Sun Jul 13 2008 Paul W. Frields <stickster@gmail.com> - 0.7.1-0.1
- Initial RPM package
